Package net.md_5.bungee.protocol.packet

# Class ScoreboardScore

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ScoreboardScore

public class ScoreboardScore extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScoreboardScore()`
  `ScoreboardScore(String itemName, byte action, String scoreName, int value, net.md_5.bungee.api.chat.BaseComponent displayName, NumberFormat numberFormat)`
  Creates a new `ScoreboardScore` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `byte`
  `getAction()`
  0 = create / update, 1 = remove.
  `net.md_5.bungee.api.chat.BaseComponent`
  `getDisplayName()`
  `String`
  `getItemName()`
  `NumberFormat`
  `getNumberFormat()`
  `String`
  `getScoreName()`
  `int`
  `getValue()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setAction(byte action)`
  0 = create / update, 1 = remove.
  `void`
  `setDisplayName(net.md_5.bungee.api.chat.BaseComponent displayName)`
  `void`
  `setItemName(String itemName)`
  `void`
  `setNumberFormat(NumberFormat numberFormat)`
  `void`
  `setScoreName(String scoreName)`
  `void`
  `setValue(int value)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScoreboardScore

    public ScoreboardScore()

  - ### ScoreboardScore

    public ScoreboardScore(String itemName, byte action, String scoreName, int value, net.md_5.bungee.api.chat.BaseComponent displayName, NumberFormat numberFormat)
    Creates a new `ScoreboardScore` instance.
    Parameters:
      `itemName` -
      `action` - 0 = create / update, 1 = remove.
      `scoreName` -
      `value` -
      `displayName` -
      `numberFormat` -

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getItemName

    public String getItemName()

  - ### getAction

    public byte getAction()
    0 = create / update, 1 = remove.

  - ### getScoreName

    public String getScoreName()

  - ### getValue

    public int getValue()

  - ### getDisplayName

    public net.md_5.bungee.api.chat.BaseComponent getDisplayName()

  - ### getNumberFormat

    public NumberFormat getNumberFormat()

  - ### setItemName

    public void setItemName(String itemName)

  - ### setAction

    public void setAction(byte action)
    0 = create / update, 1 = remove.

  - ### setScoreName

    public void setScoreName(String scoreName)

  - ### setValue

    public void setValue(int value)

  - ### setDisplayName

    public void setDisplayName(net.md_5.bungee.api.chat.BaseComponent displayName)

  - ### setNumberFormat

    public void setNumberFormat(NumberFormat numberFormat)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`